package w83b.w83bBeans;

import java.sql.ResultSet;

import w83b.util.jdbc.W83bDataBase;
import w83b.w83bDAO.w83bConstantesBD.W83bEscrutiniosBD;

/**
 * 
 * 
 * @author jroncal
 * 
 */
public class W83bListaEscrutiniosBean extends W83bBaseBean implements W83bBaseBeanBD{
	private static final long	serialVersionUID	= 1L;

	private String	sindicato="";
	private String	descripcionSindicato="";
	private String	hombres="";
	private String	mujeres="";
	private String	numVotos="";
	private String	codColegio="";
	private String	acta="";
	private String	anyoActa="";
	private String	territorioActa="";
	private String	versionActa="";
	private String	usuario="";
	private String	fecha="";
	private String	sindicatoColegio="";//NOPMD
	private boolean	nuevo=false;
	
	//para a la hora de editar en las incidencias saber si el bean en cuestión ha sido añadido o editado
	private String flag = "";
	
	
	public String getFlag() {
		return flag;
	}
	
	public void setFlag(String flag) {
		this.flag = flag;
	}
	
	/**
	 * 
	 * El constructor de W83bAgrupacionesBean.
	 */
	public W83bListaEscrutiniosBean() {
		super();
	}

	public String getUsuario() {
		return usuario;
	}
	
	public void setUsuario(String usuario) {
		this.usuario = usuario;
	}


	public String getFecha() {
		return fecha;
	}


	public void setFecha(String fecha) {
		this.fecha = fecha;
	}

	public String getSindicato() {
		return sindicato;
	}

	public void setSindicato(String sindicato) {
		this.sindicato = sindicato;
	}

	public String getDescripcionSindicato() {
		return descripcionSindicato;
	}

	public void setDescripcionSindicato(String descripcionSindicato) {
		this.descripcionSindicato = descripcionSindicato;
	}

	public String getHombres() {
		return hombres;
	}

	public void setHombres(String hombres) {
		this.hombres = hombres;
	}

	public String getMujeres() {
		return mujeres;
	}


	public void setMujeres(String mujeres) {
		this.mujeres = mujeres;
	}

	public String getNumVotos() {
		return numVotos;
	}

	public void setNumVotos(String numVotos) {
		this.numVotos = numVotos;
	}

	public boolean isNuevo() {
		return nuevo;
	}

	public void setNuevo(boolean nuevo) {
		this.nuevo = nuevo;
	}

	public String getCodColegio() {
		return codColegio;
	}

	public void setCodColegio(String codColegio) {
		this.codColegio = codColegio;
	}

	public String getActa() {
		return acta;
	}
	public void setActa(String acta) {
		this.acta = acta;
	}

	public String getAnyoActa() {
		return anyoActa;
	}
	public void setAnyoActa(String anyoActa) {
		this.anyoActa = anyoActa;
	}

	public String getTerritorioActa() {
		return territorioActa;
	}
	public void setTerritorioActa(String territorioActa) {
		this.territorioActa = territorioActa;
	}

	public String getVersionActa() {
		return versionActa;
	}

	public void setVersionActa(String versionActa) {
		this.versionActa = versionActa;
	}

	public String getSindicatoColegio() {
		return sindicato+"#"+codColegio;
	}

	public void setSindicatoColegio(String sindicatoColegio) {
		this.sindicatoColegio = sindicatoColegio;
	}

	public Object rowToBean(Object o, Object otrosValores) throws Exception {
		ResultSet rs = (ResultSet)o;//NOPMD
		this.sindicato = W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.codSind);
		this.descripcionSindicato = W83bDataBase.getStringFromRS(rs, "DESCRIPCION");
		this.hombres = W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.delegadosHombres);
		this.mujeres = W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.delegadosMujeres);
		this.numVotos = W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.numVotos);
		this.codColegio = W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.codigoColegio);
		
		this.nuevo =false;		
		
		if(null!=otrosValores){
			if(otrosValores instanceof String){
				if("incidencia".equals(otrosValores)){
					this.acta = W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.acta);
					this.anyoActa = W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.anyoActa);
					this.territorioActa = W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.territorioActa);
					this.versionActa = W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.versionActa);
					this.usuario = W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.usuario);
					this.fecha = W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.fecha);
				}
			}
		}
		
		return null;
	}

}
